Bug 1130659 - [abrt] glade: gtk_widget_get_toplevel(): glade killed by SIGSEGV
Summary: [abrt] glade: gtk_widget_get_toplevel(): glade killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: glade
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kalev Lember
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:86dd0a754bf399e15825d509248...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-15 19:58 UTC by Jakub Filak
Modified: 2016-12-01 00:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 03:24:31 UTC


Attachments (Terms of Use)
File: backtrace (23.57 KB, text/plain)
2014-08-15 19:58 UTC, Jakub Filak
no flags Details
File: cgroup (190 bytes, text/plain)
2014-08-15 19:58 UTC, Jakub Filak
no flags Details
File: core_backtrace (16.03 KB, text/plain)
2014-08-15 19:58 UTC, Jakub Filak
no flags Details
File: dso_list (9.87 KB, text/plain)
2014-08-15 19:58 UTC, Jakub Filak
no flags Details
File: environ (1.18 KB, text/plain)
2014-08-15 19:58 UTC, Jakub Filak
no flags Details
File: example.glade (1.53 KB, text/plain)
2014-08-15 19:58 UTC, Jakub Filak
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-15 19:58 UTC, Jakub Filak
no flags Details
File: maps (46.78 KB, text/plain)
2014-08-15 19:58 UTC, Jakub Filak
no flags Details
File: open_fds (1.14 KB, text/plain)
2014-08-15 19:58 UTC, Jakub Filak
no flags Details
File: proc_pid_status (936 bytes, text/plain)
2014-08-15 19:58 UTC, Jakub Filak
no flags Details
File: var_log_messages (4.61 KB, text/plain)
2014-08-15 19:58 UTC, Jakub Filak
no flags Details
File: screeshot.png (125.06 KB, application/octet-stream)
2014-08-15 19:58 UTC, Jakub Filak
no flags Details

Description Jakub Filak 2014-08-15 19:58:22 UTC
Description of problem:
I intetionaly killed Glade with SEGV because it got hanged after I accidently drag-&-droped a GtkBox to its child which was GtkScrolledWindow.

Version-Release number of selected component:
glade-3.18.3-3.fc21

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        glade
crash_function: gtk_widget_get_toplevel
executable:     /usr/bin/glade
kernel:         3.16.0-1.fc21.x86_64
runlevel:       3 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_widget_get_toplevel at gtkwidget.c:11390
 #1 gtk_widget_is_focus at gtkwidget.c:8423
 #2 gtk_widget_propagate_state at gtkwidget.c:12703
 #3 gtk_widget_set_parent at gtkwidget.c:9520
 #4 gtk_scrolled_window_add at gtkscrolledwindow.c:2761
 #5 g_cclosure_marshal_VOID__OBJECTv at gmarshal.c:1312
 #6 _g_closure_invoke_va at gclosure.c:831
 #9 gtk_container_add at gtkcontainer.c:1585
 #10 glade_gtk_container_replace_child at glade-gtk-container.c:115
 #11 glade_widget_replace_child_impl at glade-widget.c:306

Comment 1 Jakub Filak 2014-08-15 19:58:25 UTC
Created attachment 927255 [details]
File: backtrace

Comment 2 Jakub Filak 2014-08-15 19:58:26 UTC
Created attachment 927256 [details]
File: cgroup

Comment 3 Jakub Filak 2014-08-15 19:58:28 UTC
Created attachment 927257 [details]
File: core_backtrace

Comment 4 Jakub Filak 2014-08-15 19:58:29 UTC
Created attachment 927258 [details]
File: dso_list

Comment 5 Jakub Filak 2014-08-15 19:58:31 UTC
Created attachment 927259 [details]
File: environ

Comment 6 Jakub Filak 2014-08-15 19:58:32 UTC
Created attachment 927260 [details]
File: example.glade

Comment 7 Jakub Filak 2014-08-15 19:58:33 UTC
Created attachment 927261 [details]
File: limits

Comment 8 Jakub Filak 2014-08-15 19:58:35 UTC
Created attachment 927262 [details]
File: maps

Comment 9 Jakub Filak 2014-08-15 19:58:36 UTC
Created attachment 927263 [details]
File: open_fds

Comment 10 Jakub Filak 2014-08-15 19:58:38 UTC
Created attachment 927264 [details]
File: proc_pid_status

Comment 11 Jakub Filak 2014-08-15 19:58:39 UTC
Created attachment 927265 [details]
File: var_log_messages

Comment 12 Jakub Filak 2014-08-15 19:58:41 UTC
Created attachment 927266 [details]
File: screeshot.png

Comment 13 Fedora End Of Life 2015-11-04 15:15:22 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2015-12-02 03:24:33 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.